// Code generated by protoc-gen-gogo. DO NOT EDIT.
// source: pubsub.proto

package grpcstreaming

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/gogo/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.GoGoProtoPackageIsVersion3 // please upgrade the proto package

type SubscribeRequest struct {
	SystemId             int64    `protobuf:"varint,1,opt,name=system_id,json=systemId,proto3" json:"system_id,omitempty"`
	Topic                string   `protobuf:"bytes,2,opt,name=topic,proto3" json:"topic,omitempty"`
	UserId               string   `protobuf:"bytes,3,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubscribeRequest) Reset()         { *m = SubscribeRequest{} }
func (m *SubscribeRequest) String() string { return proto.CompactTextString(m) }
func (*SubscribeRequest) ProtoMessage()    {}
func (*SubscribeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_91df006b05e20cf7, []int{0}
}
func (m *SubscribeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeRequest.Unmarshal(m, b)
}
func (m *SubscribeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeRequest.Marshal(b, m, deterministic)
}
func (m *SubscribeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeRequest.Merge(m, src)
}
func (m *SubscribeRequest) XXX_Size() int {
	return xxx_messageInfo_SubscribeRequest.Size(m)
}
func (m *SubscribeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeRequest proto.InternalMessageInfo

func (m *SubscribeRequest) GetSystemId() int64 {
	if m != nil {
		return m.SystemId
	}
	return 0
}

func (m *SubscribeRequest) GetTopic() string {
	if m != nil {
		return m.Topic
	}
	return ""
}

func (m *SubscribeRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

type SubscribeResponse struct {
	// Add any response fields here
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SubscribeResponse) Reset()         { *m = SubscribeResponse{} }
func (m *SubscribeResponse) String() string { return proto.CompactTextString(m) }
func (*SubscribeResponse) ProtoMessage()    {}
func (*SubscribeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_91df006b05e20cf7, []int{1}
}
func (m *SubscribeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SubscribeResponse.Unmarshal(m, b)
}
func (m *SubscribeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SubscribeResponse.Marshal(b, m, deterministic)
}
func (m *SubscribeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SubscribeResponse.Merge(m, src)
}
func (m *SubscribeResponse) XXX_Size() int {
	return xxx_messageInfo_SubscribeResponse.Size(m)
}
func (m *SubscribeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SubscribeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SubscribeResponse proto.InternalMessageInfo

func (m *SubscribeResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func init() {
	proto.RegisterType((*SubscribeRequest)(nil), "grpcstreaming.SubscribeRequest")
	proto.RegisterType((*SubscribeResponse)(nil), "grpcstreaming.SubscribeResponse")
}

func init() { proto.RegisterFile("pubsub.proto", fileDescriptor_91df006b05e20cf7) }

var fileDescriptor_91df006b05e20cf7 = []byte{
	// 204 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x90, 0xc1, 0x4a, 0xc4, 0x30,
	0x10, 0x86, 0x8d, 0xc5, 0xd6, 0x0c, 0x0a, 0x35, 0x08, 0x16, 0x3d, 0x58, 0x7a, 0xea, 0xc5, 0x22,
	0xfa, 0x14, 0xbd, 0xa6, 0x77, 0xa5, 0x49, 0xc7, 0x92, 0x43, 0x9b, 0x98, 0x49, 0x04, 0xdf, 0x5e,
	0xda, 0x52, 0xd9, 0x5d, 0xd8, 0xe3, 0xff, 0x33, 0xf3, 0xcd, 0xc7, 0xc0, 0x8d, 0x8b, 0x8a, 0xa2,
	0x6a, 0x9c, 0xb7, 0xc1, 0x8a, 0xdb, 0xd1, 0x3b, 0x4d, 0xc1, 0x63, 0x3f, 0x99, 0x79, 0xac, 0x3e,
	0x20, 0xef, 0xa2, 0x22, 0xed, 0x8d, 0x42, 0x89, 0xdf, 0x11, 0x29, 0x88, 0x27, 0xe0, 0xf4, 0x4b,
	0x01, 0xa7, 0x4f, 0x33, 0x14, 0xac, 0x64, 0x75, 0x22, 0xaf, 0xb7, 0xa2, 0x1d, 0xc4, 0x3d, 0x5c,
	0x05, 0xeb, 0x8c, 0x2e, 0x2e, 0x4b, 0x56, 0x73, 0xb9, 0x05, 0xf1, 0x00, 0x59, 0x24, 0xf4, 0xcb,
	0x42, 0xb2, 0xf6, 0xe9, 0x12, 0xdb, 0xa1, 0x7a, 0x81, 0xbb, 0x03, 0x3e, 0x39, 0x3b, 0x13, 0x8a,
	0x02, 0xb2, 0x09, 0x89, 0xfa, 0x11, 0x57, 0x3c, 0x97, 0x7b, 0x7c, 0xfb, 0x82, 0xbc, 0xdb, 0xdd,
	0x3a, 0xf4, 0x3f, 0x46, 0xa3, 0x90, 0xc0, 0xff, 0x11, 0xe2, 0xb9, 0x39, 0xf2, 0x6f, 0x4e, 0xe5,
	0x1f, 0xcb, 0xf3, 0x03, 0xdb, 0xf5, 0xea, 0xe2, 0x95, 0xa9, 0x74, 0x7d, 0xc6, 0xfb, 0x5f, 0x00,
	0x00, 0x00, 0xff, 0xff, 0xea, 0xe2, 0x2e, 0xc5, 0x1c, 0x01, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// StreamingServiceClient is the client API for StreamingService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type StreamingServiceClient interface {
	Subscribe(ctx context.Context, in *SubscribeRequest, opts ...grpc.CallOption) (StreamingService_SubscribeClient, error)
}

type streamingServiceClient struct {
	cc *grpc.ClientConn
}

func NewStreamingServiceClient(cc *grpc.ClientConn) StreamingServiceClient {
	return &streamingServiceClient{cc}
}

func (c *streamingServiceClient) Subscribe(ctx context.Context, in *SubscribeRequest, opts ...grpc.CallOption) (StreamingService_SubscribeClient, error) {
	stream, err := c.cc.NewStream(ctx, &_StreamingService_serviceDesc.Streams[0], "/grpcstreaming.StreamingService/Subscribe", opts...)
	if err != nil {
		return nil, err
	}
	x := &streamingServiceSubscribeClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type StreamingService_SubscribeClient interface {
	Recv() (*SubscribeResponse, error)
	grpc.ClientStream
}

type streamingServiceSubscribeClient struct {
	grpc.ClientStream
}

func (x *streamingServiceSubscribeClient) Recv() (*SubscribeResponse, error) {
	m := new(SubscribeResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// StreamingServiceServer is the server API for StreamingService service.
type StreamingServiceServer interface {
	Subscribe(*SubscribeRequest, StreamingService_SubscribeServer) error
}

// UnimplementedStreamingServiceServer can be embedded to have forward compatible implementations.
type UnimplementedStreamingServiceServer struct {
}

func (*UnimplementedStreamingServiceServer) Subscribe(req *SubscribeRequest, srv StreamingService_SubscribeServer) error {
	return status.Errorf(codes.Unimplemented, "method Subscribe not implemented")
}

func RegisterStreamingServiceServer(s *grpc.Server, srv StreamingServiceServer) {
	s.RegisterService(&_StreamingService_serviceDesc, srv)
}

func _StreamingService_Subscribe_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(SubscribeRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(StreamingServiceServer).Subscribe(m, &streamingServiceSubscribeServer{stream})
}

type StreamingService_SubscribeServer interface {
	Send(*SubscribeResponse) error
	grpc.ServerStream
}

type streamingServiceSubscribeServer struct {
	grpc.ServerStream
}

func (x *streamingServiceSubscribeServer) Send(m *SubscribeResponse) error {
	return x.ServerStream.SendMsg(m)
}

var _StreamingService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "grpcstreaming.StreamingService",
	HandlerType: (*StreamingServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "Subscribe",
			Handler:       _StreamingService_Subscribe_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "pubsub.proto",
}
